Hirevoice Docs
Openapi

Get position by ID for integrations

GET
/integration/v1/positions/{position_id}

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Path Parameters

position_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.hirevoice.dev/api/integration/v1/positions/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "job_description": "string",
  "company_position_uuid": "string",
  "evaluation_criteria": [
    {
      "category": "hard-skill",
      "title": "string",
      "definition": "string",
      "levels": [
        {
          "level": 0,
          "description": "string"
        }
      ],
      "question_examples": [
        "string"
      ]
    }
  ],
  "extract_data": [
    {
      "key": "string",
      "description": ""
    }
  ],
  "applied_extract_data": {
    "tools_or_tags": [
      "string"
    ],
    "must_have_questions_added": [
      "string"
    ],
    "challenge_level": 0,
    "depth_level": 0,
    "max_questions": 0,
    "language": "en",
    "persona_applied": false,
    "first_message_applied": false
  },
  "interview_prompt_persona_role": "string",
  "interview_prompt_first_message": "string",
  "interview_type": "blue-collar",
  "status_detail": {},
  "status": "idle"
}
Empty
{
  "detail": "string",
  "code": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
{
  "detail": "string",
  "code": "string"
}